> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_opfamily.md).

# 53.35. pg\_opfamily

## 53.35. pg\_opfamily

The catalog `pg_opfamily` defines operator families. Each operator family is a collection of operators and associated support routines that implement the semantics specified for a particular index access method. Furthermore, the operators in a family are all “compatible”, in a way that is specified by the access method. The operator family concept allows cross-data-type operators to be used with indexes and to be reasoned about using knowledge of access method semantics.

Operator families are described at length in [Section 38.16](/15/server-programming/extending-sql/interfacing-extensions-to-indexes.md).

**Table 53.35. `pg_opfamily` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                           |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                                  |
| <p><code>opfmethod</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_am.md"><code>pg\_am</code></a>.<code>oid</code>)</p><p>Index access method operator family is for</p>         |
| <p><code>opfname</code> <code>name</code></p><p>Name of this operator family</p>                                                                                                                               |
| <p><code>opfnamespace</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_namespace.md"><code>pg\_namespace</code></a>.<code>oid</code>)</p><p>Namespace of this operator family</p> |
| <p><code>opfowner</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_authid.md"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>Owner of the operator family</p>                |

The majority of the information defining an operator family is not in its `pg_opfamily` row, but in the associated rows in [`pg_amop`](/15/internals/system-catalogs/pg_amop.md), [`pg_amproc`](/15/internals/system-catalogs/pg_amproc.md), and [`pg_opclass`](/15/internals/system-catalogs/pg_opclass.md).

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_opfamily.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_opfamily.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
